Module | Fog::Terremark::Shared::Real
In: | lib/fog/terremark/requests/shared/delete_node_service.rb lib/fog/terremark/requests/shared/get_organizations.rb lib/fog/terremark/requests/shared/deploy_vapp.rb lib/fog/terremark/requests/shared/get_network_ips.rb lib/fog/terremark/requests/shared/delete_vapp.rb lib/fog/terremark/requests/shared/get_organization.rb lib/fog/terremark/requests/shared/add_internet_service.rb lib/fog/terremark/requests/shared/get_catalog.rb lib/fog/terremark/requests/shared/get_vapp.rb lib/fog/terremark/requests/shared/delete_internet_service.rb lib/fog/terremark/requests/shared/get_task.rb lib/fog/terremark/requests/shared/add_node_service.rb lib/fog/terremark/requests/shared/instantiate_vapp_template.rb lib/fog/terremark/requests/shared/get_vapp_template.rb lib/fog/terremark/requests/shared/power_off.rb lib/fog/terremark/requests/shared/get_internet_services.rb lib/fog/terremark/requests/shared/power_on.rb lib/fog/terremark/requests/shared/create_internet_service.rb lib/fog/terremark/requests/shared/get_node_services.rb lib/fog/terremark/requests/shared/get_tasks_list.rb lib/fog/terremark/requests/shared/get_public_ips.rb lib/fog/terremark/requests/shared/get_vdc.rb lib/fog/terremark/requests/shared/power_shutdown.rb lib/fog/terremark/requests/shared/get_network.rb lib/fog/terremark/requests/shared/get_catalog_item.rb lib/fog/terremark/requests/shared/configure_vapp.rb lib/fog/terremark/requests/shared/get_public_ip.rb lib/fog/terremark/requests/shared/delete_public_ip.rb lib/fog/terremark/requests/shared/power_reset.rb lib/fog/terremark/requests/shared/get_keys_list.rb lib/fog/terremark/models/shared/addresses.rb lib/fog/terremark/models/shared/vdcs.rb lib/fog/terremark/models/shared/nodeservices.rb lib/fog/terremark/models/shared/internetservices.rb lib/fog/terremark/models/shared/images.rb lib/fog/terremark/models/shared/servers.rb lib/fog/terremark/models/shared/networks.rb lib/fog/terremark/models/shared/tasks.rb lib/fog/terremark/shared.rb

### Methods

add_internet_service add_node_service addresses configure_vapp create_internet_service delete_internet_service delete_node_service delete_public_ip delete_vapp deploy_vapp get_catalog get_catalog_item get_internet_services get_keys_list get_network get_network_ips get_node_services get_organization get_organizations get_public_ip get_public_ips get_task get_tasks_list get_vapp get_vapp_template get_vdc images instantiate_vapp_template internetservices networks nodeservices power_off power_on power_reset power_shutdown servers tasks vdcs

### Included Modules

Common Common Common Common

### Public Instance methods

add_internet_service(ip_id, name, protocol, port, options = {})

Reserve requested resources and deploy vApp

#### Parameters

- ip_id<~Integer> - Id of ip to add service to
- name<~String> - Name of service
- protocol<~String> - Protocol of service
- port<~Integer> - Port of service
- options<~Hash>:
  - Enabled<~Boolean>: defaults to true
  - Description<~String>: optional description

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner

add_node_service(service_id, ip, name, port, options = {})

Reserve requested resources and deploy vApp

#### Parameters

- service_id<~String> - Id of service to add node to
- ip<~String> - Private ip of server to add to node
- name<~String> - Name of service
- port<~Integer> - Port of service
- options<~Hash>:
  - Enabled<~Boolean>: defaults to true
  - Description<~String>: optional description

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner

addresses(options = {})
configure_vapp(vapp_id, vapp_name, options = {})
create_internet_service(vdc_id, name, protocol, port, options = {})

Reserve requested resources and deploy vApp

#### Parameters

- vdc_id<~Integer> - Id of vDc to add internet service to
- name<~String> - Name of service
- protocol<~String> - Protocol of service
- port<~Integer> - Port of service
- options<~Hash>:
  - Enabled<~Boolean>: defaults to true
  - Description<~String>: optional description

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner

delete_internet_service(internet_service_id)

Destroy an internet service

#### Parameters

- internet_service_id<~Integer> - Id of service to destroy

delete_node_service(node_service_id)

Destroy a node

#### Parameters

- node_service_id<~Integer> - Id of node to destroy

delete_public_ip(public_ip_id)

Destroy a public ip

#### Parameters

- public_ip_id<~Integer> - Id of public ip to destroy

delete_vapp(vapp_id)

Destroy a vapp

#### Parameters

- vapp_id<~Integer> - Id of vapp to destroy

deploy_vapp(vapp_id)

Reserve requested resources and deploy vApp

#### Parameters

- vapp_id<~Integer> - Id of vApp to deploy

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner

get_catalog(vdc_id)

Get details of a catalog

#### Parameters

- vdc_id<~Integer> - Id of vdc to view catalog for

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘CatalogItems’<~Array>
      - ‘href’<~String> - linke to item
      - ‘name’<~String> - name of item
      - ‘type’<~String> - type of item
    - ‘description’<~String> - Description of catalog
    - ‘name’<~String> - Name of catalog

get_catalog_item(catalog_item_id)

- ‘CatalogItems’<~Array>
  - ‘href’<~String> - linke to item
  - ‘name’<~String> - name of item
  - ‘type’<~String> - type of item
- ‘description’<~String> - Description of catalog
- ‘name’<~String> - Name of catalog

get_internet_services(vdc_id)

Get a list of all internet services for a vdc

#### Parameters

- vdc_id<~Integer> - Id of vDc to get list of internet services for

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘InternetServices’<~Array>
      - ‘id’<~String> => id of the internet service
      - ‘name’<~String> => name of service
      - ‘PublicIPAddress’<~Hash>
      - ‘Id’<~String> => id of the public IP
      - ‘name’<~String> => actual ip address

get_keys_list(organization_id)

Get list of SSH keys for an organization

#### Parameters

- organization_id<~Integer> - Id of organization to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘description’<~String> - Description of organization
    - ‘links’<~Array> - An array of links to entities in the organization
      - ‘href’<~String> - location of link
      - ‘name’<~String> - name of link
      - ‘rel’<~String> - action to perform
      - ‘type’<~String> - type of link

get_network(network_id)

Get details for a Network

#### Parameters

- network_id<~Integer> - Id of the network to look up

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

  FIXME

get_network_ips(network_id)

Get details for a Network

#### Parameters

- network_id<~Integer> - Id of the network to look up

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:

  FIXME

get_node_services(service_id)
get_organization(organization_id)

Get details of an organization

#### Parameters

- organization_id<~Integer> - Id of organization to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘description’<~String> - Description of organization
    - ‘links’<~Array> - An array of links to entities in the organization
      - ‘href’<~String> - location of link
      - ‘name’<~String> - name of link
      - ‘rel’<~String> - action to perform
      - ‘type’<~String> - type of link
    - ‘name’<~String> - Name of organization

get_organizations()

Get list of organizations

#### Returns

- response<~Excon::Response>:
  - body<~Array>:
    - ‘description’<~String> - Description of organization
    - ‘links’<~Array> - An array of links to entities in the organization
    - ‘name’<~String> - Name of organization

get_public_ip(public_ip_id)

Get details for a public ip

#### Parameters

- public_ip_id<~Integer> - Id of public ip to look up

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘PublicIpAddresses’<~Array>
      - ‘href’<~String> - linke to item
      - ‘name’<~String> - name of item

get_public_ips(vdc_id)

Get list of public ips

#### Parameters

- vdc_id<~Integer> - Id of vdc to find public ips for

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘PublicIpAddresses’<~Array>
      - ‘href’<~String> - link to item
      - ‘name’<~String> - name of item

get_task(task_id)

Get details of a task

#### Parameters

- task_id<~Integer> - Id of task to lookup

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner
    - ‘Result’<~String> -
      - ‘href’<~String> - href of result
      - ‘name’<~String> - name of result
      - ‘type’<~String> - type of result

get_tasks_list(tasks_list_id)

Get list of tasks

#### Parameters

- tasks_list_id<~Integer> - Id of tasks lists to view

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘CatalogItems’<~Array>
      - ‘href’<~String> - linke to item
      - ‘name’<~String> - name of item
      - ‘type’<~String> - type of item
    - ‘description’<~String> - Description of catalog
    - ‘name’<~String> - Name of catalog

get_vapp(vapp_id)

- ‘endTime’<~String> - endTime of task
- ‘href’<~String> - link to task
- ‘startTime’<~String> - startTime of task
- ‘status’<~String> - status of task
- ‘type’<~String> - type of task
- ‘Owner’<~String> -
  - ‘href’<~String> - href of owner
  - ‘name’<~String> - name of owner
  - ‘type’<~String> - type of owner
- ‘Result’<~String> -
  - ‘href’<~String> - href of result
  - ‘name’<~String> - name of result
  - ‘type’<~String> - type of result

get_vapp_template(vapp_template_id)

- ‘CatalogItems’<~Array>
  - ‘href’<~String> - linke to item
  - ‘name’<~String> - name of item
  - ‘type’<~String> - type of item
- ‘description’<~String> - Description of catalog
- ‘name’<~String> - Name of catalog

get_vdc(vdc_id)

- ‘CatalogItems’<~Array>
  - ‘href’<~String> - linke to item
  - ‘name’<~String> - name of item
  - ‘type’<~String> - type of item
- ‘description’<~String> - Description of catalog
- ‘name’<~String> - Name of catalog

images(options = {})
instantiate_vapp_template(name, vapp_template, options = {})

Instatiate a vapp template

#### Parameters

- name<~String>: Name of the resulting vapp .. must start with letter, up to 15 chars alphanumeric.
- options<~Hash>:
- cpus<~Integer>: Number of cpus in [1, 2, 4, 8], defaults to 1
- memory<~Integer>: Amount of memory either 512 or a multiple of 1024, defaults to 512
- vapp_template<~String>: id of the vapp template to be instantiated

#### Returns

- response<~Excon::Response>:
- body<~Hash>:
- ‘Links;<~Array> (e.g. up to vdc)
- ‘href’<~String> Link to the resulting vapp
- ‘name’<~String> - name of item
- ‘type’<~String> - type of item
- ‘status’<~String> - 0(pending) —> 2(off) —>4(on)

internetservices(options = {})
networks(options = {})
nodeservices(options = {})
power_off(vapp_id)

Power off a vapp

#### Parameters

- vapp_id<~Integer> - Id of vapp to power off

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner

power_on(vapp_id)

Power on a vapp

#### Parameters

- vapp_id<~Integer> - Id of vapp to power on

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner

power_reset(vapp_id)

Reset a vapp

#### Parameters

- vapp_id<~Integer> - Id of vapp to reset

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘endTime’<~String> - endTime of task
    - ‘href’<~String> - link to task
    - ‘startTime’<~String> - startTime of task
    - ‘status’<~String> - status of task
    - ‘type’<~String> - type of task
    - ‘Owner’<~String> -
      - ‘href’<~String> - href of owner
      - ‘name’<~String> - name of owner
      - ‘type’<~String> - type of owner

power_shutdown(vapp_id)

Shutdown a vapp

#### Parameters

- vapp_id<~Integer> - Id of vapp to shutdown

#### Returns

Nothing

servers(options = {})
tasks()
vdcs(options = {})

[Validate]